% program ch13ex11.m
% program to compute the dynamic error in estimation for shell column
% Babu Joseph Washington University, St.Louis Mar 13 1993
%
% define component matrices

sys1=tf([1.27],[45 1]);
sys2=tf([-28.1  -3.3],[467.5 53.5 1]);
sys3=tf([25.12 2.09],[121.5 47.5 1]);
sys4=tf([1.44],[40 1]);
sys5=tf([-30.76 -3.6195],[255 48.5 1]);
sys6=tf([26 2.166],[807.5 61.5 1]);
q=parallel(sys1,sys2);q1=parallel(q,sys3);
q=parallel(sys4,sys5);q2=parallel(q,sys6);
w=logspace(-3,1,30);
[q1mag,phase]=bode(q1,w);
[q2mag,phase]=bode(q2,w);
for i=1:30
   q=[q1mag(i) q2mag(i)]';   smax(i)=norm(q);
end;

loglog(w,smax);


